Bug 981777 - SELinux is preventing /usr/bin/mplayer from 'execmod' accesses on the file /usr/bin/mplayer. [NEEDINFO]
SELinux is preventing /usr/bin/mplayer from 'execmod' accesses on the file /u...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-05 15:12 EDT by Old Uncle
Modified: 2013-10-25 05:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-25 05:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (old.uncle.z)

Attachments (Terms of Use)

  None (edit)
Description Old Uncle 2013-07-05 15:12:18 EDT
Description of problem:
SELinux is preventing /usr/bin/mplayer from 'execmod' accesses on the file /usr/bin/mplayer.

*****  Plugin mozplugger_remove (57.0 confidence) suggests  ******************

If you want to to continue using SELinux Firefox plugin containment rather then using mozplugger package
Then you must remove the mozplugger package.
# yum remove mozplugger

*****  Plugin mozplugger (43.3 confidence) suggests  *************************

If you want to use the mozplugger package
Then you must turn off SELinux controls on the Firefox plugins.
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.07 confidence) suggests  ***************************

If you believe that mplayer should be allowed execmod access on the mplayer file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep mplayer /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
Target Context                system_u:object_r:mplayer_exec_t:s0
Target Objects                /usr/bin/mplayer [ file ]
Source                        mplayer
Source Path                   /usr/bin/mplayer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mplayer-1.1-8.20130416svn.fc19.i686
Target RPM Packages           mplayer-1.1-8.20130416svn.fc19.i686
Policy RPM                    selinux-policy-3.12.1-57.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.8-300.fc19.i686 #1 SMP Thu Jun
                              27 19:40:39 UTC 2013 i686 i686
Alert Count                   3
First Seen                    2013-07-05 23:11:12 GET
Last Seen                     2013-07-05 23:11:23 GET
Local ID                      58587d53-2975-4db7-8fc2-039dd86d2f26

Raw Audit Messages
type=AVC msg=audit(1373051483.28:805): avc:  denied  { execmod } for  pid=5770 comm="mplayer" path="/usr/bin/mplayer" dev="dm-0" ino=143252 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mplayer_exec_t:s0 tclass=file

type=SYSCALL msg=audit(1373051483.28:805): arch=i386 syscall=mprotect success=no exit=EACCES a0=b7371000 a1=3b4000 a2=5 a3=bfb09e00 items=0 ppid=5769 pid=5770 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=mplayer exe=/usr/bin/mplayer subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: mplayer,mozilla_plugin_t,mplayer_exec_t,file,execmod

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.8-300.fc19.i686
type:           libreport
Comment 1 Daniel Walsh 2013-07-09 17:32:07 EDT
DId the video play?

Do you have mozplugger installed?

If you add the allow rules

# grep mplayer /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Does the player work?

Note You need to log in before you can comment on or make changes to this bug.